import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
question_set = client.question_sets.update(
question_set_id="question_set_id",
)
print(question_set.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
questionSet, err := client.QuestionSets.Update(
context.TODO(),
"question_set_id",
sgp.QuestionSetUpdateParams{
Body: sgp.QuestionSetUpdateParamsBodyPartialQuestionSetRequest{
Restore: sgp.F(sgp.QuestionSetUpdateParamsBodyPartialQuestionSetRequestRestoreFalse),
},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", questionSet.ID)
}
curl --request PATCH \
--url https://api.egp.scale.com/v4/question-sets/{question_set_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"instructions": "<string>",
"question_ids": [
"<string>"
],
"restore": false
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
instructions: '<string>',
question_ids: ['<string>'],
restore: false
})
};
fetch('https://api.egp.scale.com/v4/question-sets/{question_set_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"question_id_to_config": {},
"instructions": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update Question Set
Description
Updates a question set
Details
This API can be used to update the question set that matches the ID that was passed in as a path parameter. To use this API, pass in the id that was returned from your Create Question Set API call as a path parameter.
Review the request schema to see the fields that can be updated.
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
question_set = client.question_sets.update(
question_set_id="question_set_id",
)
print(question_set.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
questionSet, err := client.QuestionSets.Update(
context.TODO(),
"question_set_id",
sgp.QuestionSetUpdateParams{
Body: sgp.QuestionSetUpdateParamsBodyPartialQuestionSetRequest{
Restore: sgp.F(sgp.QuestionSetUpdateParamsBodyPartialQuestionSetRequestRestoreFalse),
},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", questionSet.ID)
}
Path Parameters
Body
Response
Successful Response
The unique identifier of the entity.
The date and time when the entity was created in ISO format.
The ID of the account that owns the given entity.
The user who originally created the entity.
The type of identity that created the entity.
user, service_account Specifies additional configurations to use for specific questions in the context of the question set. For example, {<question_a_id>: {required: true}, <question_b_id>: {required: true}} sets two questions as required.
Show child attributes
Show child attributes
Instructions to answer questions
The date and time when the entity was archived in ISO format.

